Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1924101 - SOF as default audio driver for Intel LPE hardware
Summary: SOF as default audio driver for Intel LPE hardware
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-02 15:50 UTC by Ben Cotton
Modified: 2022-02-10 16:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-10 16:03:32 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Ben Cotton 2021-02-02 15:50:12 UTC
This is a tracking bug for Change: SOF as default audio driver for Intel LPE hardware
For more details, see: https://fedoraproject.org/wiki/Changes/SofDefaultForIntelLpe

Intel LPE audio hardware has 2 drivers in the mainline kernel the SST driver and the SOF driver, switch the default driver from SST to SOF.

Comment 1 Ben Cotton 2021-02-10 22:55:20 UTC
We have reached the 'Code Complete (testable)' milestone in the Fedora 34 release cycle. If your Change is in a testable state, please set the status to MODIFIED. If this Change will not be ready for Fedora 34, please set the version to rawhide.

The 100% code complete deadline is Tue 2021-02-23.

Comment 2 Hans de Goede 2021-02-11 11:11:09 UTC
This has been testable since the 5.11-rc1 kernel build by adding snd_intel_dspcfg.dsp_driver=3 to the kernel commandline; and I have been going over the extensive test plan from the Change page this way for a while now (working my way through all the different hw configurations).

And now that this merge-req has landed:
https://gitlab.com/cki-project/kernel-ark/-/merge_requests/889

The SOF driver is now the default on Bay and Cherry-Trail hardware, starting with the 5.11.0-0.rc7.20210210gite0756cfc7d7c build, moving this to modified.

Comment 3 Ben Cotton 2021-02-16 15:52:05 UTC
Reminder: The change complete (100% complete) deadline for Fedora 34 changes is Tuesday 23 February. At that point, changes should be 100% code complete, along with supporting documentation where appropriate. Please indicate this by setting the tracker bug for your change to ON_QA.

Comment 4 Hans de Goede 2021-02-16 16:24:47 UTC
The kernel changes for this have landed in the F34 repos with the 5.11.0-0.rc7.20210210gite0756cfc7d7c.150 kernel build, moving to ON_QA.

Comment 5 Ben Cotton 2021-03-19 21:12:14 UTC
Deferring to F35 per Hans

Comment 6 Hans de Goede 2021-03-19 21:58:35 UTC
> Deferring to F35 per Hans

If anyone wants more details on why, here is an email which explains why this is being deferred:

https://mailman.alsa-project.org/pipermail/sound-open-firmware/2021-March/004175.html

Comment 7 Ben Cotton 2021-08-10 12:33:03 UTC
Today is the "Code complete (testable)" deadline in the Fedora Linux 35 release schedule:
https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

If this Change is complete enough to be tested, please indicate this by setting this bug to the MODIFIED status. (If it is 100% complete, you can set it to ON_QA).

If you wish to defer this Change to Fedora Linux 36, please needinfo bcotton.

Comment 8 Hans de Goede 2021-08-10 13:24:21 UTC
I'm afraid that the upstream SOF issues which were blocking this change for F34 have not been resolved, so I've not flipped the switch in the kernel-config to make SOF the default for Intel LPE hardware. IOW this is / will have to be deferred to Fedora 36.

Comment 9 Ben Cotton 2022-02-08 21:07:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 36 development cycle.
Changing version to 36.

Comment 10 Ben Cotton 2022-02-08 21:15:06 UTC
Today we reached the Code Complete (testable) milestone in the F36 schedule: https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

All code for this change should be complete enough for testing. You can indicate this by setting the bug status to MODIFIED. (If the code is fully complete, you can go ahead and set it to ON_QA.)

If you need to defer this Change to F37, please needinfo bcotton.

Comment 11 Hans de Goede 2022-02-10 15:54:38 UTC
The upstream SOF firmware bug which has been blocking this has not seen any action for over a year now.

So I don't believe that this is going to get fixed any time soon and it seems that unfortunately we are stuck with the old closed-source SST firmware for these devices.

This also means that this change is probably best closed as "CANTFIX" not sure if that is just a question of closing this bug, or if there is also some change process stuff which needs to be done so I'll leave closing this to you, Ben.

Comment 12 Ben Cotton 2022-02-10 16:03:32 UTC
Okay, makes sense. I'll close it for now and if upstream ever moves on it, you can re-propose.


Note You need to log in before you can comment on or make changes to this bug.